Package org.apache.storm.utils

## Class ReflectionUtils

- java.lang.Object
- - org.apache.storm.utils.ReflectionUtils

-     public class ReflectionUtils
      extends Object

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `ReflectionUtils()` |

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static <T> T` | `newInstance​(Class<T> klass)` |
    `static <T> T` | `newInstance​(Class<T> klass, Map<String,​Object> conf)` |
    `static <T> T` | `newInstance​(String klass)` |
    `static <T> T` | `newInstance​(String klass, Map<String,​Object> conf)` |
    `<T> T` | `newInstanceImpl​(Class<T> klass)` |
    `static <T> T` | `newSchedulerStrategyInstance​(String klass, Map<String,​Object> conf)` |
    `static ReflectionUtils` | `setInstance​(ReflectionUtils u)` | Provide an instance of this class for delegates to use.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ReflectionUtils

          public ReflectionUtils()

  - ### Method Detail

    - #### setInstance

          public static ReflectionUtils setInstance​(ReflectionUtils u)

      Provide an instance of this class for delegates to use. To mock out delegated methods, provide an instance of a subclass that overrides the implementation of the delegated method.
      Parameters:
        `u` - a Utils instance
      Returns:
        the previously set instance

    - #### newInstance

          public static <T> T newInstance​(String klass)

    - #### newInstance

          public static <T> T newInstance​(Class<T> klass)

    - #### newInstance

          public static <T> T newInstance​(String klass,
                                          Map<String,​Object> conf)

    - #### newInstance

          public static <T> T newInstance​(Class<T> klass,
                                          Map<String,​Object> conf)

    - #### newSchedulerStrategyInstance

          public static <T> T newSchedulerStrategyInstance​(String klass,
                                                           Map<String,​Object> conf)

    - #### newInstanceImpl

          public <T> T newInstanceImpl​(Class<T> klass)